# floating ip port forwarding

Network v2

## floating ip port forwarding create

Create floating IP port forwarding

    openstack floating ip port forwarding create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        --internal-ip-address <internal-ip-address>
        --port <port>
        --internal-protocol-port <port-number>
        --external-protocol-port <port-number>
        --protocol <protocol>
        [--description <description>]
        <floating-ip>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--internal-ip-address <internal-ip-address>

  The fixed IPv4 address of the network port associated to the floating IP port forwarding

--port <port>

  The name or ID of the network port associated to the floating IP port forwarding

--internal-protocol-port <port-number>

  The protocol port number of the network port fixed IPv4 address associated to the floating IP port forwarding

--external-protocol-port <port-number>

  The protocol port number of the port forwarding’s floating IP address

--protocol <protocol>

  The protocol used in the floating IP port forwarding, for instance: TCP, UDP

--description <description>

  Text to describe/contextualize the use of the port forwarding configuration

floating-ip

  Floating IP that the port forwarding belongs to (IP address or ID)

## floating ip port forwarding delete

Delete floating IP port forwarding

    openstack floating ip port forwarding delete
        <floating-ip>
        <port-forwarding-id>
        [<port-forwarding-id> ...]

floating-ip

  Floating IP that the port forwarding belongs to (IP address or ID)

port-forwarding-id

  The ID of the floating IP port forwarding(s) to delete

## floating ip port forwarding list

List floating IP port forwarding

    openstack floating ip port forwarding list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--port <port>]
        [--external-protocol-port <port-number>]
        [--protocol <protocol>]
        <floating-ip>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--port <port>

  List only floating IP port forwardings with the specified internal network port (name or ID)

--external-protocol-port <port-number>

  List only floating IP port forwardings with the specified external protocol port number

--protocol <protocol>

  List only floating IP port forwardings with the specified protocol number

floating-ip

  Floating IP that the port forwarding belongs to (IP address or ID)

## floating ip port forwarding set

Set floating IP Port Forwarding Properties

    openstack floating ip port forwarding set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--port <port>]
        [--internal-ip-address <internal-ip-address>]
        [--internal-protocol-port <port-number>]
        [--external-protocol-port <port-number>]
        [--protocol <protocol>]
        [--description <description>]
        <floating-ip>
        <port-forwarding-id>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--port <port>

  The ID of the network port associated to the floating IP port forwarding

--internal-ip-address <internal-ip-address>

  The fixed IPv4 address of the network port associated to the floating IP port forwarding

--internal-protocol-port <port-number>

  The TCP/UDP/other protocol port number of the network port fixed IPv4 address associated to the floating IP port forwarding

--external-protocol-port <port-number>

  The TCP/UDP/other protocol port number of the port forwarding’s floating IP address

--protocol <protocol>

  The IP protocol used in the floating IP port forwarding

--description <description>

  Text to describe/contextualize the use of the port forwarding configuration

floating-ip

  Floating IP that the port forwarding belongs to (IP address or ID)

port-forwarding-id

  The ID of the floating IP port forwarding

## floating ip port forwarding show

Display floating IP Port Forwarding details

    openstack floating ip port forwarding show
        <floating-ip>
        <port-forwarding-id>

floating-ip

  Floating IP that the port forwarding belongs to (IP address or ID)

port-forwarding-id

  The ID of the floating IP port forwarding

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.